Loading...
Searching...
No Matches
interp_params Struct Reference

`#include <interpf.h>`

## Data Fields

double | zmult
FILE * | fdinp
int | elatt
int | smatt
int | kmin
int | kmax
char * | maskmap
int | nsizr
int | nsizc
DCELL * | az
DCELL * | adx
DCELL * | ady
DCELL * | adxx
DCELL * | adyy
DCELL * | adxy
double | fi
int | KMAX2
int | scik1
int | scik2
int | scik3
double | rsm
char * | elev
char * | slope
char * | aspect
char * | pcurv
char * | tcurv
char * | mcurv
double | dmin
double | x_orig
double | y_orig
int | deriv
int | cv
double | theta
double | scalex
struct TimeStamp * | ts
FILE * | Tmp_fd_z
FILE * | Tmp_fd_dx
FILE * | Tmp_fd_dy
FILE * | Tmp_fd_xx
FILE * | Tmp_fd_yy
FILE * | Tmp_fd_xy
bool | create_devi
grid_calc_fn * | grid_calc
matrix_create_fn * | matrix_create
check_points_fn * | check_points
secpar_fn * | secpar
interp_fn * | interp
interpder_fn * | interpder
wr_temp_fn * | wr_temp
const char * | wheresql

## Detailed Description

Definition at line 70 of file interpf.h.

## Field Documentation

## adx

DCELL * interp_params::adx

Definition at line 94 of file interpf.h.

Referenced by IL_grid_calc_2d(), IL_init_params_2d(), IL_secpar_loop_2d(), and IL_write_temp_2d().

## adxx

DCELL * interp_params::adxx

Definition at line 94 of file interpf.h.

Referenced by IL_grid_calc_2d(), IL_init_params_2d(), IL_secpar_loop_2d(), and IL_write_temp_2d().

## adxy

DCELL * interp_params::adxy

array for interpolated values

Definition at line 94 of file interpf.h.

Referenced by IL_grid_calc_2d(), IL_init_params_2d(), IL_secpar_loop_2d(), and IL_write_temp_2d().

## ady

DCELL * interp_params::ady

Definition at line 94 of file interpf.h.

Referenced by IL_grid_calc_2d(), IL_init_params_2d(), IL_secpar_loop_2d(), and IL_write_temp_2d().

## adyy

DCELL * interp_params::adyy

Definition at line 94 of file interpf.h.

Referenced by IL_grid_calc_2d(), IL_init_params_2d(), IL_secpar_loop_2d(), and IL_write_temp_2d().

## aspect

char * interp_params::aspect

Definition at line 107 of file interpf.h.

Referenced by IL_init_params_2d(), IL_output_2d(), and IL_resample_output_2d().

## az

DCELL* interp_params::az

Definition at line 94 of file interpf.h.

Referenced by IL_grid_calc_2d(), IL_init_params_2d(), and IL_write_temp_2d().

## check_points

check_points_fn* interp_params::check_points

checks interp. func. at points

Definition at line 132 of file interpf.h.

Referenced by IL_init_func_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), and IL_resample_interp_segments_2d().

## create_devi

bool interp_params::create_devi

create deviations file?

Definition at line 126 of file interpf.h.

Referenced by IL_check_at_points_2d(), IL_init_params_2d(), and IL_interp_segments_2d_parallel().

## cv

int interp_params::cv

1 if compute partial derivs

Definition at line 114 of file interpf.h.

Referenced by IL_check_at_points_2d(), IL_check_at_points_2d_cvdev(), IL_init_params_2d(), IL_interp_segments_2d(), and IL_interp_segments_2d_parallel().

## deriv

int interp_params::deriv

Definition at line 114 of file interpf.h.

Referenced by IL_grid_calc_2d(), IL_init_params_2d(), IL_output_2d(), IL_resample_output_2d(), and IL_write_temp_2d().

## dmin

double interp_params::dmin

min distance between points

Definition at line 110 of file interpf.h.

Referenced by IL_init_params_2d(), and IL_output_2d().

## elatt

int interp_params::elatt

which floating point attr to use? first = 1, second = 2, etc

Definition at line 76 of file interpf.h.

Referenced by IL_init_params_2d().

## elev

char* interp_params::elev

Definition at line 107 of file interpf.h.

Referenced by IL_init_params_2d(), IL_output_2d(), and IL_resample_output_2d().

## fdinp

FILE* interp_params::fdinp

input stream

Definition at line 74 of file interpf.h.

Referenced by IL_init_params_2d().

## fi

double interp_params::fi

tension

Definition at line 97 of file interpf.h.

Referenced by IL_check_at_points_2d(), IL_check_at_points_2d_cvdev(), IL_grid_calc_2d(), IL_init_params_2d(), IL_matrix_create_alloc(), IL_output_2d(), IL_resample_interp_segments_2d(), and IL_resample_output_2d().

## grid_calc

grid_calc_fn* interp_params::grid_calc

calculates grid for given segm

Definition at line 128 of file interpf.h.

Referenced by IL_init_func_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), and IL_resample_interp_segments_2d().

## interp

interp_fn* interp_params::interp

radial based interp. function

Definition at line 136 of file interpf.h.

Referenced by IL_check_at_points_2d(), IL_check_at_points_2d_cvdev(), IL_grid_calc_2d(), IL_init_func_2d(), and IL_matrix_create_alloc().

## interpder

interpder_fn* interp_params::interpder

interp. func. for derivatives

Definition at line 138 of file interpf.h.

Referenced by IL_grid_calc_2d(), and IL_init_func_2d().

## kmax

int interp_params::kmax

max number of points per segment

Definition at line 87 of file interpf.h.

Referenced by IL_init_params_2d(), IL_output_2d(), IL_resample_interp_segments_2d(), IL_resample_output_2d(), and IL_vector_input_data_2d().

## KMAX2

int interp_params::KMAX2

max num. of points for interp.

Definition at line 99 of file interpf.h.

Referenced by IL_grid_calc_2d(), IL_init_params_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_matrix_create(), IL_resample_interp_segments_2d(), and IL_vector_input_data_2d().

## kmin

int interp_params::kmin

min number of points per segment for interpolation

Definition at line 84 of file interpf.h.

Referenced by IL_init_params_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_output_2d(), IL_resample_interp_segments_2d(), IL_resample_output_2d(), and IL_vector_input_data_2d().

## maskmap

char* interp_params::maskmap

name of mask

Definition at line 90 of file interpf.h.

Referenced by IL_create_bitmask(), and IL_init_params_2d().

## matrix_create

matrix_create_fn* interp_params::matrix_create

creates matrix for a given segm

Definition at line 130 of file interpf.h.

Referenced by IL_init_func_2d(), IL_interp_segments_2d(), and IL_resample_interp_segments_2d().

## mcurv

char * interp_params::mcurv

output files

Definition at line 107 of file interpf.h.

Referenced by IL_init_params_2d(), IL_output_2d(), and IL_resample_output_2d().

## nsizc

int interp_params::nsizc

number of rows and columns

Definition at line 92 of file interpf.h.

Referenced by IL_create_bitmask(), IL_init_params_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_output_2d(), IL_resample_interp_segments_2d(), IL_resample_output_2d(), and IL_write_temp_2d().

## nsizr

int interp_params::nsizr

Definition at line 92 of file interpf.h.

Referenced by IL_create_bitmask(), IL_init_params_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_output_2d(), IL_resample_interp_segments_2d(), and IL_resample_output_2d().

## pcurv

char * interp_params::pcurv

Definition at line 107 of file interpf.h.

Referenced by IL_init_params_2d(), IL_output_2d(), and IL_resample_output_2d().

## rsm

double interp_params::rsm

smoothing

Definition at line 105 of file interpf.h.

Referenced by IL_init_params_2d(), IL_matrix_create_alloc(), and IL_output_2d().

## scalex

double interp_params::scalex

anisotropy scaling factor

Definition at line 119 of file interpf.h.

Referenced by IL_grid_calc_2d(), IL_init_params_2d(), IL_matrix_create_alloc(), and IL_output_2d().

## scik1

int interp_params::scik1

Definition at line 102 of file interpf.h.

Referenced by IL_init_params_2d(), and IL_write_temp_2d().

## scik2

int interp_params::scik2

Definition at line 102 of file interpf.h.

Referenced by IL_init_params_2d(), and IL_write_temp_2d().

## scik3

int interp_params::scik3

multipliers for interp. values

Definition at line 102 of file interpf.h.

Referenced by IL_init_params_2d(), and IL_write_temp_2d().

## secpar

secpar_fn* interp_params::secpar

calculates aspect,slope,curv.

Definition at line 134 of file interpf.h.

Referenced by IL_grid_calc_2d(), and IL_init_func_2d().

## slope

char * interp_params::slope

Definition at line 107 of file interpf.h.

Referenced by IL_init_params_2d(), IL_output_2d(), and IL_resample_output_2d().

## smatt

int interp_params::smatt

which floating point attr to use for smoothing? first = 1, second = 2, etc

Definition at line 80 of file interpf.h.

Referenced by IL_init_params_2d(), and IL_output_2d().

## tcurv

char * interp_params::tcurv

Definition at line 107 of file interpf.h.

Referenced by IL_init_params_2d(), IL_output_2d(), and IL_resample_output_2d().

## theta

double interp_params::theta

anisotropy angle, 0=East,counter-clockwise

Definition at line 116 of file interpf.h.

Referenced by IL_grid_calc_2d(), IL_init_params_2d(), IL_matrix_create_alloc(), and IL_output_2d().

## Tmp_fd_dx

FILE * interp_params::Tmp_fd_dx

Definition at line 123 of file interpf.h.

Referenced by IL_init_params_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_output_2d(), IL_resample_output_2d(), and IL_write_temp_2d().

## Tmp_fd_dy

FILE * interp_params::Tmp_fd_dy

Definition at line 123 of file interpf.h.

Referenced by IL_init_params_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_output_2d(), IL_resample_output_2d(), and IL_write_temp_2d().

## Tmp_fd_xx

FILE * interp_params::Tmp_fd_xx

Definition at line 123 of file interpf.h.

Referenced by IL_init_params_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_output_2d(), IL_resample_output_2d(), and IL_write_temp_2d().

## Tmp_fd_xy

FILE * interp_params::Tmp_fd_xy

temp files for writing interp. values

Definition at line 123 of file interpf.h.

Referenced by IL_init_params_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_output_2d(), IL_resample_output_2d(), and IL_write_temp_2d().

## Tmp_fd_yy

FILE * interp_params::Tmp_fd_yy

Definition at line 123 of file interpf.h.

Referenced by IL_init_params_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_output_2d(), IL_resample_output_2d(), and IL_write_temp_2d().

## Tmp_fd_z

FILE* interp_params::Tmp_fd_z

Definition at line 123 of file interpf.h.

Referenced by IL_init_params_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), IL_output_2d(), IL_resample_output_2d(), and IL_write_temp_2d().

## ts

struct TimeStamp* interp_params::ts

timestamp for raster files

Definition at line 121 of file interpf.h.

Referenced by IL_init_params_2d(), and IL_output_2d().

## wheresql

const char* interp_params::wheresql

SQL statement to select input points

Definition at line 142 of file interpf.h.

Referenced by IL_init_params_2d(), and IL_vector_input_data_2d().

## wr_temp

wr_temp_fn* interp_params::wr_temp

writes temp files

Definition at line 140 of file interpf.h.

Referenced by IL_grid_calc_2d(), and IL_init_func_2d().

## x_orig

double interp_params::x_orig

Definition at line 112 of file interpf.h.

Referenced by IL_check_at_points_2d(), IL_check_at_points_2d_cvdev(), IL_init_params_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), and IL_resample_interp_segments_2d().

## y_orig

double interp_params::y_orig

origin

Definition at line 112 of file interpf.h.

Referenced by IL_check_at_points_2d(), IL_check_at_points_2d_cvdev(), IL_init_params_2d(), IL_interp_segments_2d(), IL_interp_segments_2d_parallel(), and IL_resample_interp_segments_2d().

## zmult

double interp_params::zmult

multiplier for z-values

Definition at line 72 of file interpf.h.

Referenced by IL_init_params_2d(), IL_output_2d(), IL_resample_output_2d(), and IL_vector_input_data_2d().

The documentation for this struct was generated from the following file:

- interpf.h